Lister ses transactions
curl --request GET \
--url https://api.saspay.me/api/v1/transactions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.saspay.me/api/v1/transactions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.saspay.me/api/v1/transactions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.saspay.me/api/v1/transactions/?cursor=cD0yMDI2LTA4LTEy",
"previous": null,
"results": [
{
"id": "9c3f2a10-4b7e-4f1a-9d2e-9b6a7c1e4a02",
"reference": "TXN-20260812-000512",
"merchant": "6f1e2b3a-8c4d-4a2f-9e1b-2d3c4f5a6b7c",
"customer": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"country": "3d4e5f6a-7b8c-4d9e-8f0a-1b2c3d4e5f6a",
"network": "5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b",
"transaction_type": "PAIEMENT",
"flow_direction": "INBOUND",
"description": "Abonnement mensuel",
"requested_amount": "2500.00",
"fee_charge_mode": "ADD_ON",
"client_fee": "37.50",
"gateway_fee": "20.00",
"platform_fee": "17.50",
"pricing_rule": null,
"merchant_pricing_rule": "7f8e9d0c-1b2a-4c3d-9e0f-1a2b3c4d5e6f",
"debited_amount": "2537.50",
"net_amount": "2500.00",
"currency": "XOF",
"status": "SUCCESS",
"current_gateway": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"external_reference": "PWP-8827311",
"ip_address": "154.72.18.90",
"created_at": "2026-08-12T09:58:11Z",
"updated_at": "2026-08-12T09:58:47Z"
},
{
"id": "a4b5c6d7-e8f9-4a0b-8c1d-2e3f4a5b6c7d",
"reference": "TXN-20260812-000731",
"merchant": "8a9b0c1d-2e3f-4a5b-8c6d-7e8f9a0b1c2d",
"customer": "9b0c1d2e-3f4a-4b5c-8d6e-7f8a9b0c1d2e",
"country": "0c1d2e3f-4a5b-4c6d-8e7f-8a9b0c1d2e3f",
"network": "1d2e3f4a-5b6c-4d7e-8f8a-9b0c1d2e3f4a",
"transaction_type": "RETRAIT",
"flow_direction": "OUTBOUND",
"description": "Remboursement commande #778",
"requested_amount": "10000.00",
"fee_charge_mode": "DEDUCTED",
"client_fee": "150.00",
"gateway_fee": "80.00",
"platform_fee": "70.00",
"pricing_rule": null,
"merchant_pricing_rule": null,
"debited_amount": "10000.00",
"net_amount": "9850.00",
"currency": "XAF",
"status": "PENDING",
"current_gateway": "2e3f4a5b-6c7d-4e8f-8a9b-0c1d2e3f4a5b",
"external_reference": "",
"ip_address": "197.234.10.5",
"created_at": "2026-08-12T11:20:03Z",
"updated_at": "2026-08-12T11:20:03Z"
}
]
}Transactions
Lister ses transactions
Historique paginé par curseur, filtrable et cherchable
GET
/
transactions
/
Lister ses transactions
Authorizations
Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx (ou sk_test_xxx en environnement de test).
Query Parameters
Available options:
PENDING, SUCCESS, FAILED, CANCELLED Available options:
RECHARGE, PAIEMENT, RETRAIT, TRANSFERT Available options:
INBOUND, OUTBOUND Recherche dans reference, external_reference, nom/email/téléphone client, slug de lien de paiement, slug de session checkout
Required range:
x <= 200Response
200 - application/json
Liste paginée par curseur
⌘I